### Constructor

# Gsk PasteNode new

since: 4.22

#### Declaration [src]

    GskRenderNode*
    gsk_paste_node_new (
      const graphene_rect_t* bounds,
      gsize depth
    )

#### Description [src]

Creates a `GskRenderNode` that will paste copied contents.

Available since: 4.22

#### Parameters

`bounds`

  Type: `graphene_rect_t`

  The rectangle to render the paste into.

  The data is owned by the caller of the function.

`depth`

  Type: `gsize`

  The index of which copy to paste. This will usually be 0.

#### Return value

Type: `GskPasteNode`

A new `GskRenderNode`.

The caller of the function takes ownership of the data, and is responsible for freeing it.